CREATE TABLE COMPONENT_MAP
(
	CM_ID BIGINT NOT NULL AUTO_INCREMENT,
	SM_ID BIGINT NOT NULL,
	SOURCE_COMP_ID BIGINT NOT NULL,
	TARGET_COMP_ID BIGINT NOT NULL,
	PRIMARY KEY(CM_ID),
	KEY(SM_ID),
	KEY (SOURCE_COMP_ID),
	KEY (TARGET_COMP_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;
